Skip to main content
The Imprint API uses API Keys to authenticate requests, and these are different for each environment. You can view and manage your API keys in the Imprint Dashboard. API authentication is performed via HTTP Basic Auth. Provide your API key as the basic auth username value. You do not need to provide a password. If you need to authenticate via bearer auth (e.g., for a cross-origin request), use -H "Authorization: Bearer 4eC39HqLyjWDarjtT1zdp7dc" instead of -u 4eC39HqLyjWDarjtT1zdp7dc.
curl https://dev.sbx.imprint.co/v2/customers \
  -u YOUR_API_KEY:

Multi-Product Support

If your partnership spans multiple products (e.g., a parent company with several co-branded products), include the x-imprint-merchant-key header in your requests to specify which product the request applies to.
HeaderRequiredDescription
x-imprint-merchant-keyNoIdentifies the target product. Provided by your Imprint team during onboarding.
If you have multiple products, you must supply the merchant key in the header in order to retrieve information for that merchant/product:
curl https://dev.sbx.imprint.co/v2/customers \
  -u YOUR_API_KEY: \
  -H "x-imprint-merchant-key: your-merchant-key"